#pragma once

#include "NumberType.h"

#include <string>

namespace Databoard {
	class Range;

	namespace Type {

		class DATABOARD_API DoubleType : public NumberType {
		public:
			DoubleType();
			DoubleType(std::string unit);
			DoubleType(std::string unit, Range* range);

			virtual ~DoubleType();

			double minValue();
			double maxValue();

			virtual std::string writeOut(int indent = 0);


		protected:
		};
	}
}
