#pragma once

#include <string>

namespace Databoard {

	class Limit {
	public:
		Limit(bool isLower = false);
		virtual~ Limit();

		void setValue(std::string value);
		std::string getValue();

		double getDouble(double value);
		float getFloat(float value);
		int getInteger(int value);
		long getLong(long value);
		char getByte(char value);

		void setInclusive();
		bool getInclusive();

		std::string writeOut();

	private:

		bool isLower;
		bool isInclusive;

		std::string value;
	};

}
