#pragma once

#include "Value.h"

#include <string>

namespace Databoard {
	namespace Value {

		class DATABOARD_API VariantValue : public Value {
		public:
			VariantValue(Databoard::Type::DataType* dataBoard);
			virtual ~VariantValue();

			virtual std::string writeOut(int indent = 0);
			virtual bool equals(const Value* other);
			virtual std::string isValid();

			void setValue(Value* value);
			Value* getValue();

		protected:

			Value* value;

		};
	}
}
