#pragma once

#include "Value.h"

namespace Databoard {
	namespace Value {

		class DATABOARD_API ByteValue : public Value {
		public:
			ByteValue(Databoard::Type::DataType* dataBoard);
			virtual ~ByteValue();

			void setValue(char value);
			char getValue();

			virtual std::string writeOut(int indent = 0);
			virtual bool equals(const Value* other);

		protected:

			char value;
		};
	}
}
